﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Java.Util;

namespace ChartSample
{
    [Activity(Label = "ChartSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
       
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            SfChart chart = new SfChart(this);

            chart.PrimaryAxis = new DateTimeAxis();
            chart.SecondaryAxis = new NumericalAxis();

            ColumnSeries series = new ColumnSeries();
           
            series.DataMarker.ShowLabel = true;

            Calendar calendar = new GregorianCalendar(2014, 1, 1);
            var datas = new ObservableArrayList();

            datas.Add(new ChartDataPoint(calendar.Time, 10d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 23d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 22d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 32d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 31d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 12d));
            AddDate(calendar);
            datas.Add(new ChartDataPoint(calendar.Time, 26d));

            series.DataSource = datas;
           
            chart.Series.Add(series);

            SetContentView(chart);
        }

        static void AddDate(Calendar calendar)
        {
            calendar.Add(Java.Util.CalendarField.Date, 1);
        }
    }
}

